<?php
/**
 * @version $Id$
 * @package DJ-ImageScroller
 * @subpackage DJ-ImageSlider Component
 * @copyright Copyright (C) 2017 DJ-Extensions.com, All rights reserved.
 * @license http://www.gnu.org/licenses GNU/GPL
 * @author url: http://dj-extensions.com
 * @author email contact@dj-extensions.com
 * @developer Szymon Woronowski - szymon.woronowski@design-joomla.eu
 *
 *
 * DJ-ImageScroller is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * DJ-ImageScroller is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with DJ-ImageScroller. If not, see <http://www.gnu.org/licenses/>.
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');
defined('DS') or define('DS', DIRECTORY_SEPARATOR);

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\Helper\ModuleHelper;

// Include the syndicate functions only once
require_once (dirname(__FILE__).DS.'helper.php');
$app = Factory::getApplication();

// taking the slides from the source
if($params->get('slider_source')==1) {
	jimport('joomla.application.component.helper');
	if(!ComponentHelper::isEnabled('com_djimageslider', true)){
		$app->enqueueMessage(Text::_('MOD_DJIMAGESLIDER_NO_COMPONENT'),'notice');
		return;
	}
	$slides = modDJImageScrollerHelper::getImagesFromDJImageScroller($params);
	if($slides==null) {
		$app->enqueueMessage(Text::_('MOD_DJIMAGESLIDER_NO_CATEGORY_OR_ITEMS'),'notice');
		return;
	}
} else {
	$slides = modDJImageScrollerHelper::getImagesFromFolder($params);
	if($slides==null) {
		$app->enqueueMessage(Text::_('MOD_DJIMAGESLIDER_NO_CATALOG_OR_FILES'),'notice');
		return;
	}
}

HTMLHelper::_('behavior.framework');
if($params->get('link_image',1)==2) HTMLHelper::_('behavior.modal');
$document = Factory::getDocument();
$document->addScript('modules/mod_djimagescroller/assets/powertools-1.2.0.js');
$document->addScript('modules/mod_djimagescroller/assets/scroller.js');

if(!is_numeric($width = $params->get('image_width'))) $width = 240;
if(!is_numeric($height = $params->get('image_height'))) $height = 180;
if(!is_numeric($max = $params->get('max_images'))) $max = 20;
if(!is_numeric($count = $params->get('visible_images'))) $count = 3;
if(!is_numeric($spacing = $params->get('space_between_images'))) $spacing = 3;
if($count>count($slides)) $count = count($slides);
if($count<1) $count = 1;
if($count>$max) $count = $max;
$mid = $module->id;
$slider_type = $params->get('slider_type',0);
switch($slider_type){
	case 1:
		$slide_size = $height + $spacing;
		break;
	case 0:
	default:
		$slide_size = $width + $spacing;
		break;
}

if(!is_numeric($preload = $params->get('preload'))) $preload = 800;
if(!is_numeric($speed = $params->get('speed'))) $speed = 50;
$moduleSettings = "{id: '$mid', slider_type: $slider_type, slide_size: $slide_size, visible_slides: $count, speed: $speed, preload: $preload}";
$js = "window.addEvent('domready',function(){this.Scroller$mid = new DJImageScrollerModule($moduleSettings)});";
$js = "(function($){ ".$js." })(document.id);";
$document->addScriptDeclaration($js);

$css = Uri::base().'modules/mod_djimagescroller/assets/style.css';
$document->addStyleSheet($css);

$css = modDJImageScrollerHelper::getStyleSheet($params,$mid);
$document->addStyleDeclaration($css);

require ModuleHelper::getLayoutPath('mod_djimagescroller', $params->get('layout','default'));
